ServerEvents.recipes(e => {

e.recipes.create.mixing(
'3x thermal:invar_ingot',
['2x #forge:ingots/iron','#forge:ingots/nickel']
).heated()

e.recipes.create.mixing(
'4x thermal:bronze_ingot',
['3x #forge:ingots/copper','#forge:ingots/tin']
).heated()

e.remove({id:'epicsamurai:steel_ingot_create_compat'})

e.recipes.create.mixing(
'thermal:steel_ingot',
['#forge:ingots/iron','4x minecraft:coal']
).heated()

e.recipes.create.mixing(
'thermal:steel_ingot',
['#forge:ingots/iron','4x minecraft:charcoal']
).heated()

e.recipes.create.mixing(
'thermal:steel_ingot',
['#forge:ingots/iron','#forge:coal_coke']
).heated()

e.remove({id:'create:crushing/obsidian'})

e.recipes.create.crushing(['create:powdered_obsidian','minecraft:obsidian'], 'minecraft:obsidian')

e.recipes.create.mixing(
'createcafe:blood_orange',
['croptopia:orange','undergarden:blood_mushroom']
)

})